micro_utils.dokka
0.15.1

# Package-level declarations

## Types

TypedSerializer
Link copied to clipboard
open class TypedSerializer<T : Any>(kClass: KClass<T>, presetSerializers: Map<String, KSerializer<out T>> = emptyMap()) : KSerializer<T>

## Functions

minusAssign
Link copied to clipboard
@InternalSerializationApi
operator fun <T : Any> TypedSerializer<T>.minusAssign(kClass: KClass<T>)
plusAssign
Link copied to clipboard
@InternalSerializationApi
operator fun <T : Any> TypedSerializer<T>.plusAssign(kClass: KClass<T>)
TypedSerializer
Link copied to clipboard
inline fun <T : Any> TypedSerializer(vararg presetSerializers: Pair<String, KSerializer<out T>>): TypedSerializer<T>
inline fun <T : Any> TypedSerializer(presetSerializers: Map<String, KSerializer<out T>> = emptyMap()): TypedSerializer<T>